Update Iconography
Closed, ResolvedPublic

Description

  • Icon-set contains icons for

    • Actions
    • Tabbar + Tabbar selected
    • Feed section title min icons
    • Mini actions

    Acceptance criteria:
    All app icons should use the forms specified in the attached pholio mock.

    KHammerstein updated the task description. (Show Details)
    KHammerstein raised the priority of this task from to Needs Triage.
    KHammerstein added a subscriber: KHammerstein.
    Restricted Application added a subscriber: Aklapper. · View Herald TranscriptSep 23 2015, 11:46 PM
    JMinor triaged this task as Normal priority.Sep 28 2015, 9:11 PM
    JMinor added a project: iOS-app-v5-beta.
    JMinor set Security to None.
    saper added a subscriber: saper.Sep 29 2015, 9:19 AM

    While the black on white pencil icon for the section editing is okay,
    at the bottom of the article we have a while pencil on the black background which means something completely different - it' a link to the article's history.

    Nirzar renamed this task from icon updates to Update Iconography.Oct 1 2015, 5:39 AM
    Mhurd added a subscriber: Mhurd.Oct 9 2015, 11:34 PM

    Nirzar stopped by and gave me the save, search, and W icons.

    https://github.com/wikimedia/wikipedia-ios/pull/160

    Mhurd claimed this task.Oct 13 2015, 10:58 PM

    @nzr and I updated most of the assets catalog icons to use 1x single vectors and updated the tab bar icons.

    JMinor updated the task description. (Show Details)Oct 22 2015, 10:30 PM

    Checked with Dev 5.0.0 (475)on iPad mini 8.2

    JMinor closed this task as Resolved.Nov 18 2015, 8:39 PM
    JMinor added a subscriber: JMinor.

    I'm going to resolve this, but lets keep an eye out for missed icons. I know the edit pencil and back button on the edit flow both got missed, but will file them separately.

    There will also be some additional icons needed for the article footer changes in T109144